"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.publishOutfile = void 0;
const fs_1 = require("fs");
const path_1 = require("path");
const redis_1 = require("../../utils/redis");
const logging_1 = require("../../utils/logging");
const logger = logging_1.getLogger();
function publishOutfile(fileName, cachedName) {
    redis_1.redisHandler(clt => {
        // 输出文件地址
        clt.set("outfile", fileName, (err, ok) => {
            if (err) {
                logger.error(err);
            }
            else {
                logger.info(`set outfile is ${fileName}`);
            }
            clt.persist("outfile");
        });
        // 缓存文件地址
        const cachedDir = path_1.dirname(cachedName);
        if (!fs_1.existsSync(cachedDir)) {
            fs_1.mkdirSync(cachedDir, { recursive: true });
        }
        clt.set("out_cache_file", cachedName, (err, ok) => {
            if (err) {
                logger.error(err);
            }
            else {
                logger.info(`set out_cache_file is ${cachedName}`);
            }
            clt.persist("out_cache_file");
            clt.quit();
        });
    });
}
exports.publishOutfile = publishOutfile;
