#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logger = void 0;
const tslib_1 = require("tslib");
const commander_1 = require("commander");
const logging_1 = require("../../utils/logging");
const path_1 = require("path");
const shelljs_1 = tslib_1.__importDefault(require("shelljs"));
const redis_1 = require("../../utils/redis");
exports.logger = logging_1.getLogger();
commander_1.program
    .option("-o, --out <string> ", "输出文件路径");
commander_1.program.parse(process.argv);
const opts = commander_1.program.opts();
if (!opts.out) {
    exports.logger.error("必须指定输出文件地址!");
    shelljs_1.default.exit(1);
}
const outPath = path_1.resolve("./", opts.out);
redis_1.redisHandler(clt => {
    clt.set("outfile", outPath, (err, ok) => {
        if (err) {
            exports.logger.error(err);
        }
        else {
            exports.logger.info(`set outfile is ${outPath}`);
        }
        clt.quit();
    });
});
