"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.publish = exports.redisHandler = exports.getRedisClient = void 0;
const redis_1 = require("redis");
const logging_1 = require("./logging");
const logger = logging_1.getLogger();
function getRedisClient() {
    const redisClient = redis_1.createClient({
        host: "117.50.43.137",
        port: 6379
    });
    return redisClient;
}
exports.getRedisClient = getRedisClient;
/**
 * redis的处理函数
 * @param fn 回调函数
 */
function redisHandler(fn) {
    const client = getRedisClient();
    try {
        fn(client);
    }
    catch (err) {
        logger.error(err);
    }
}
exports.redisHandler = redisHandler;
function publish(channel, message) {
    const client = getRedisClient();
    client.publish(channel, message);
    client.quit();
}
exports.publish = publish;
