import initSocket from "socket.io-client"
import { loadYaml } from "./load-yaml"
import { getLogger } from "./logging"
import { global } from "./global"
import { writeFile } from "fs"
import { getRedisClient, redisHandler } from "./redis"

const subscriber = getRedisClient()
const logger = getLogger()
const cfgPath = "config/main.cfg.yaml"
const cfgObj = loadYaml(cfgPath)
const socket = initSocket(cfgObj.socketIo.servicePath,
  { transports: ['websocket', 'xhr-polling', 'jsonp-polling'] })

/**
 * 退出
 */
logger.info("subscribe start ...")
subscriber.on("message", (channel, message) => {
  if ("socket-code" === channel && "exit" === message) {
    logger.info("socket exit...")
    subscriber.unsubscribe();
    subscriber.quit()
    socket.close()
  }
})


subscriber.subscribe("socket-code");
export {
  socket
}